
  function loadLevel()
        level = {}
        for y, row in ipairs(levels[currentLevel]) do
            level[y] = {}
            for x, cell in ipairs(row) do
                level[y][x] = cell
            end
        end
    end
    
   
function debug()
			
			--rectangle right
			love.graphics.setColor(0.5,0.5,0.5,0.8)
			love.graphics.rectangle('fill',440,20,250,50)
			--text right
			love.graphics.setColor(1,1,1)
			love.graphics.setFont(love.graphics.newFont(12))
			love.graphics.print("Press space to switch characters:",450,30)
			love.graphics.print("Press h for help / 1 for debug",450,50)					

			if debugmode=="yes" then
			
			--rectangle left
			love.graphics.setColor(0.5,0.5,0.5,0.8)
			love.graphics.rectangle('fill',40,20,200,150)
			
			love.graphics.setColor(1,1,1)
            --love.graphics.setFont(love.graphics.newFont(12))

			--text right
            love.graphics.print("Level :" .. currentLevel,50,20)	--print currentlevel
            love.graphics.print("Current player:" ..currentplayer,50,30)
			
			love.graphics.print("player1direction:" ..fish1direction,50,70)
			
			love.graphics.print("player2direction:" ..fish2direction,50,90)
			
			--love.graphics.print("player1 position: x= " ..f1x .. "y=:" .. f1y,50,50)		
			--love.graphics.print("player2 position: x= " ..f2x .. "y=:" .. f2y,50,70)
			end
end

function draw_level()

    for y, row in ipairs(level) do
        for x, cell in ipairs(row) do
           love.graphics.setFont(love.graphics.newFont(15))
            if cell ~= empty then
                local cellSize = 23

                    local colors = {
                    --[fish1] = {0.64, 0.53, 1},
                    --[fish1body] = {0.64, 0.53, 1},
                    --[fish2] = {0, 0, 1},
                    --[fish2body] = {0, 0, 1},
                    --[chair1] = {0.5, 0.5, 0},
                    --[table] = {0.62, 0.47, 1},
                    --[chair2] = {1, 0.79, 0.49},
                    --[steelbar] = {0.59, 1, 0.5},
                    --[cushion] = {0.61, 0.9, 1},
                    [wall] = {0.6, 0.58, 0.2},
                    --[obj1] = {0.29,0.43,0.83},
                    --[obj2] = {0.9,0.43,0.83},
                    [empty] = {0.146, 0.73, 0.73},
                }

				
                love.graphics.setColor(colors[cell])
                love.graphics.rectangle(
                    'fill',
                    (x - 1) * cellSize,
                    (y - 1) * cellSize,
                    cellSize,
                    cellSize
                )
                if debugmode=="yes" then 
                love.graphics.setColor(1, 1, 1)
                love.graphics.print(
                    level[y][x],
                    (x - 1) * cellSize,
                    (y - 1) * cellSize
                )
                
                else
				love.graphics.setColor(1, 1, 1)
                love.graphics.print(
                    " ",
                    (x - 1) * cellSize,
                    (y - 1) * cellSize
                )
				end
				

            end
        end
    end
end
